Bug 216306 - After suspend/resume, sound always uses laptop's internal speakers
After suspend/resume, sound always uses laptop's internal speakers
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 21:57 EST by Stephen Moehle
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 15:03:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Moehle 2006-11-18 21:57:52 EST
Description of problem:

After suspend/resume using pm-suspend or "echo -n mem > /sys/power/state", sound
always uses laptop's internal speakers whether or not something is plugged into
line-out.

The laptop is a Dell Latitude D820. The chipset is "82801G (ICH7 Family)", and
the kernel module is snd_hda_intel.

This is a recent regression as it works OK with the previous kernel
(2.6.18-1.2798.fc6).

Version-Release number of selected component (if applicable):

Kernel: 2.6.18-1.2849.fc6

How reproducible:

Always

Steps to Reproduce:
1. Suspend using pm-suspend or "echo -n mem > /sys/power/state".
2. Resume
3. Play an MP3 or something
  
Actual results:

Sound plays through internal speakers even though headphones are plugged into
line-out.

Expected results:

Sound plays through headphones as it did before suspend.

Additional info:

Boot into the previous kernel, 2.6.18-1.2798.fc6, and all works as expected.
Comment 1 Stephen Moehle 2007-01-20 15:03:43 EST
Problem is fixed with the latest kernel, 2.6.19-1.2895.fc6.

I would close this bug, but I do not know how.

Note You need to log in before you can comment on or make changes to this bug.